# Configuration file

##########################################################################################################
# clientonly
#--------------------------------------------------------------------------------------------------------#
# These options affect only the client that loads the mod.\nIf you are looking for keybinds, look for them in ichunutil_keybinds.cfg.
##########################################################################################################

clientonly {
    # Play a sound when the Portal Gun is equipped? [range: 0 ~ 1, default: 1]
    I:equipItemSound=1

    # Enable rendering portals with shaders?
    # 
    # If your PC does not support this, shaders will not be used even if this was enabled. [range: 0 ~ 1, default: 1]
    I:fancyPortals=1

    # The size of the indicator around the crosshairs when you hold the Portal Gun.
    # Value is in percentage
    # 0 to disable. [range: 0 ~ 100, default: 30]
    I:portalgunIndicatorSize=30

    # Enable rendering to see through portals?
    # 
    # If your PC does not support this, you will not be able to see through portals even if this was enabled. [range: 0 ~ 1, default: 1]
    I:seeThroughPortals=0
}


##########################################################################################################
# keybind
#--------------------------------------------------------------------------------------------------------#
# If you're reading this in the config file, I would strongly recommend changing the keybinds in-game.\niChunUtil uses custom keybinds. Go to the controls/keybinds page and click on the bottom right corner.\n\nIf you really have to edit the config file, the format is <key code>, and append either ":SHIFT", ":CTRL", or ":ALT" for keys you want to hold down at the same time.\nFor key codes go to: http://minecraft.gamepedia.com/Key_codes \nExample: 48:SHIFT:ALT will bind to the B key when you hold Shift and Alt (On a QWERTY keyboard).
##########################################################################################################

keybind {
}


##########################################################################################################
# portalgun
#--------------------------------------------------------------------------------------------------------#
# Config options relating to the use of the Portal Gun
##########################################################################################################

portalgun {
    # Can the projectile fired by the Portal Gun go through glass? [range: 0 ~ 1, default: 0]
    I:canFireThroughGlass=0

    # Can the projectile fired by the Portal Gun go through liquid? [range: 0 ~ 1, default: 0]
    I:canFireThroughLiquid=0

    # Can the portal projectile (that you fire from the portal gun) chunk load?
    # Disabling this might cause issues. [range: 0 ~ 1, default: 1]
    I:canPortalProjectilesChunkload=1

    # Can the portal that spawns from the projectile be resized downwards if the full size won't fit? [range: 0 ~ 1, default: 1]
    I:canPortalsResizeWhenCreated=1

    # Base Weight that the Portal Gun is allowed to carry, in percentile (%)
    # Set this to 0 to disable grabbing of blocks and entities which are not part of this mod. [range: 0 ~ 2147483647, default: 100]
    I:entityGrabWeightBase=100

    # Maximum distance to fire portals from the Portal Gun. [range: 1 ~ 2147483647, default: 10000]
    I:maxShootDistance=10000
}


